%define texmf     %{_datadir}/texmf
%define tdsname   cm-lgc
%define fontpath  public/cm-lgc

Name:           tetex-font-cm-lgc
Version:        0.3.1
Release:        1
Epoch:          0
Summary:        The CM-LGC Type1 fonts for LaTeX

Group:          Applications/Publishing
License:        GPL
URL:            http://www.ctan.org/tex-archive/fonts/ps-type1/cm-lgc
# NOTE: The sources included in this package might not match the one
# you get from the FTP site. This occasionally happens because the FTP
# site auto-generates the tar-ball. In such cases it is usually
# sufficient to gunzip the .tar.gz file and compare the tar-balls.
# ftp://ftp.dante.de/tex-archive/fonts/ps-type1/cm-lgc.tar.gz
Source0:        tetex-font-cm-lgc-%{version}.tar.gz
Source1:        cm-lgc-test.tex
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       tetex-latex
Requires(post): tetex
Requires(postun): tetex
BuildArch:      noarch

%description
This package contains the CM-LGC fonts. These are PostScript Type 1
fonts converted from the METAFONT sources of the Computer Modern font
families. CM-LGC supports the T1, T2A, LGR, and TS1 encodings,
i.e. Latin, Cyrillic, and Greek. There are also support files for
Omega/Lambda.


%prep
%setup -q -n %{tdsname}
cp -p %{SOURCE1} .


%build


%install
rm -rf $RPM_BUILD_ROOT
 
mkdir -p $RPM_BUILD_ROOT%{texmf}/tex/latex/%{tdsname}
install -p -m 644 tex/latex/cm-lgc/* $RPM_BUILD_ROOT%{texmf}/tex/latex/%{tdsname}/

mkdir -p $RPM_BUILD_ROOT%{texmf}/fonts/{ofm,ovf,type1,tfm,vf}/%{fontpath}
install -p -m 644 fonts/ofm/public/cm-lgc/* $RPM_BUILD_ROOT%{texmf}/fonts/ofm/%{fontpath}/
install -p -m 644 fonts/ovf/public/cm-lgc/* $RPM_BUILD_ROOT%{texmf}/fonts/ovf/%{fontpath}/
install -p -m 644 fonts/type1/public/cm-lgc/* $RPM_BUILD_ROOT%{texmf}/fonts/type1/%{fontpath}/
install -p -m 644 fonts/tfm/public/cm-lgc/* $RPM_BUILD_ROOT%{texmf}/fonts/tfm/%{fontpath}/
install -p -m 644 fonts/vf/public/cm-lgc/* $RPM_BUILD_ROOT%{texmf}/fonts/vf/%{fontpath}/

mkdir -p $RPM_BUILD_ROOT%{texmf}/dvips/%{tdsname}
install -p -m 644 dvips/base/* $RPM_BUILD_ROOT%{texmf}/dvips/%{tdsname}/
install -p -m 644 dvips/config/* $RPM_BUILD_ROOT%{texmf}/dvips/%{tdsname}/


%clean
rm -rf $RPM_BUILD_ROOT


%post
/usr/bin/mktexlsr %{texmf}
/usr/bin/updmap --quiet --nohash --outputdir %{texmf}/dvips/config --enable Map cm-lgc.map

%postun
if [ "$1" = "0" ]; then
  /usr/bin/updmap --quiet --nohash --outputdir %{texmf}/dvips/config --disable cm-lgc.map
fi
/usr/bin/mktexlsr %{texmf}


%files
%defattr(-,root,root,-)
%doc COPYING HISTORY README cm-lgc-test.tex
%{texmf}/tex/latex/%{tdsname}
%{texmf}/fonts/ofm/%{fontpath}
%{texmf}/fonts/ovf/%{fontpath}
%{texmf}/fonts/tfm/%{fontpath}
%{texmf}/fonts/type1/%{fontpath}
%{texmf}/fonts/vf/%{fontpath}
%{texmf}/dvips/%{tdsname}


%changelog
* Sun Nov 28 2004 Michael Schwendt <mschwendt[AT]users.sf.net>
- Make tarball file name unique.

* Sun Oct 17 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:0.3.1-1
- Updated to 0.3.1.

* Sat Jun  5 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:0.3-0.fdr.1
- Updated to 0.3.

* Wed May  5 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:0.2.1-0.fdr.2
- Removed INSTALL file (bug 997).
- Added cm-lgc-test.tex test document (bug 997).
- Moved preun script to postun (bug 997).
- Split Requires(post,postun) into separate Require statements (bug 997).

* Sun Nov 16 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:0.2.1-0.fdr.1
- Initial Fedora RPM release.
